{
  services = {
    tlp = {
      enable = true;

      settings = let
        max_percent = 60;

        start_charge = 100 - max_percent;
        stop_charge = max_percent;
      in {
        START_CHARGE_THRESH_BAT0 = start_charge;
        STOP_CHARGE_THRESH_BAT0 = stop_charge;

        START_CHARGE_THRESH_BAT1 = start_charge;
        STOP_CHARGE_THRESH_BAT1 = stop_charge;
      };
    };
  };
}
