{
  home-manager.users.buffet = {
    programs.git = {
      enable = true;
      userEmail = "dev@buffet.sh";
      userName = "buffet";

      aliases = {
        b = "branch";
        c = "commit --verbose";
        m = "commit --amend --verbose";

        d = "diff";
        ds = "diff --stat";
        dc = "diff --cached";

        l = "log";
        s = "status -s";
      };

      extraConfig = {
        branch = {
          sort = "-committerdate";
        };

        init = {
          defaultBranch = "main";
        };

        gpg = {
          format = "ssh";
        };

        push = {
          autoSetupRemote = true;
        };

        pull = {
          ff = "only";
        };

        user = {
          signingKey = "~/.ssh/id_buffet_ecdsa-sk";
        };
      };
    };
  };
}
