{pkgs, ...}: {
  home-manager.users.buffet = {
    services.mako = let
      colors = import ./colors.nix;
    in {
      enable = true;

      anchor = "bottom-right";

      backgroundColor = colors.primary.background;
      borderColor = colors.borders;
      progressColor = colors.primary.foreground;
      textColor = colors.primary.foreground;
      borderSize = 1;

      defaultTimeout = 4000;

      font = "APL386 Unicode 8";
    };
  };
}
