{pkgs, ...}: {
  programs.sway = {
    enable = true;
    package = pkgs.unstable.sway;
  };

  xdg.portal = {
    enable = true;
    wlr.enable = true;
    extraPortals = with pkgs; [
      xdg-desktop-portal-gtk
    ];
  };
}
