{config, ...}: {
  age.secrets.msmtppassword = {
    file = ../../secrets/msmtppassword.age;
    mode = "770";
    owner = "forgejo";
    group = "forgejo";
  };

  programs.msmtp = {
    enable = true;
    accounts.default = {
      host = "smtp.fastmail.com";
      domain = "buffets.kitchen";
      tls = true;
      tls_starttls = false;
      auth = "plain";
      user = "mail@buffet.sh";
      passwordeval = "cat ${config.age.secrets.msmtppassword.path}";
    };
  };
}
