{pkgs, ...}: {
  home-manager.users.buffet = {
    home.packages = [
      (pkgs.writeScriptBin "git-entr" ''
        #!/bin/sh

        echo "looping entr. press ctrl-c twice to exit"

        while sleep 1; do
            git ls-files -cdmo --exclude-standard | entr -d "$@"
        done
      '')
    ];
  };
}
