{pkgs, ...}: {
  users.users.maintainer = {
    isNormalUser = true;
    uid = 1001;
    openssh.authorizedKeys.keys = import ../../keys.nix;
    extraGroups = [
      "wheel"
    ];
  };

  nix.settings.trusted-users = ["maintainer"];
}
